package test;

import com.gyee.SpringbootStart;
import com.gyee.frame.common.spring.SpringUtils;
import com.gyee.frame.model.custom.SimpleVo;
import com.gyee.frame.model.custom.Tablepar;
import com.gyee.frame.service.WarningRecordsService;
import lombok.SneakyThrows;
import org.springframework.boot.SpringApplication;

import java.util.List;

public class WarningRecordsServiceTest {

    @SneakyThrows
    public static void main(String[] args) {

        SpringApplication.run(SpringbootStart.class, args);



        String wtId="MG01_03";
        String wpId="MHS_FDC";
        String year="2021";
        String month="1";

        WarningRecordsService warningRecordsService= SpringUtils.getBean("warningRecordsService");

        Tablepar tablepar=new Tablepar();
        tablepar.setPageNum(1);
        tablepar.setPageSize(10);
        tablepar.setOrderByColumn("deviationrate2");
        tablepar.setIsAsc("asc");



//        WarningRecords wtd = warningRecordsService.getWarningRecords(wtId);
//
//        System.out.println(wtd.getWarningid());

        List<SimpleVo> ls = warningRecordsService.countWpwarnByWp();


        System.out.println(ls.size());

    }
}
